Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.wfadapter
Interface DMSObject

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  Document, Folder

public interface DMSObject
extends java.io.Serializable

Represents the common properties of the objects in `DMSEntityValue`. It is the parent interface for the `Document` and `Folder` interfaces.

The `DMSObject` interface can be used for all types of folder elements. Use this to get all of the elements, or for iterating through them.

The sub-interfaces `Document` and `Folder` provide compile-time checking that only appropriate methods and constants are used. Typecasting to any of them as early as appropriate is recommended.

See Also:
  `DMSEntityValue`, `Document`, `Folder`

Field Summary
`static int` | `TYPE_DOCUMENT` `DMSObject` is a document.
`static int` | `TYPE_FOLDER` `DMSObject` is a folder.

Method Summary
`java.lang.String` | `getName()` Name of the `DMSObject`.
`java.lang.String` | `getPath()` Fully qualified path of this object in the DMS.
`int` | `getType()` Type of the `DMSObject`.

Field Detail

### TYPE_FOLDER

    public static final int TYPE_FOLDER

  `DMSObject` is a folder.

  See Also:
    Constant Field Values

### TYPE_DOCUMENT

    public static final int TYPE_DOCUMENT

  `DMSObject` is a document.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Type of the `DMSObject`.

  Returns:
    Type of the `DMSObject`, represented via `TYPE_FOLDER` or `TYPE_DOCUMENT`.

### getName

    public java.lang.String getName()

  Name of the `DMSObject`.

  Returns:
    Name of the `DMSObject`.

### getPath

    public java.lang.String getPath()

  Fully qualified path of this object in the DMS.

  Returns:
    Path of the `DMSObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD